from pathlib import Path
from pydantic_settings import BaseSettings

class Settings(BaseSettings):
    # Project settings
    PROJECT_NAME: str = "Todo Application API"
    PROJECT_DESCRIPTION: str = "A simple Todo API built with FastAPI and SQLite"
    PROJECT_VERSION: str = "0.1.0"
    
    # Database settings
    DB_DIR: Path = Path("/app") / "storage" / "db"
    DB_FILE: str = "db.sqlite"
    SQLALCHEMY_DATABASE_URL: str = f"sqlite:///{DB_DIR}/{DB_FILE}"
    
    class Config:
        env_file = ".env"
        case_sensitive = True

settings = Settings()