import uvicorn
from fastapi import FastAPI
from app.api.endpoints import todos, health
from app.core.config import settings

app = FastAPI(
    title=settings.PROJECT_NAME,
    description=settings.PROJECT_DESCRIPTION,
    version=settings.PROJECT_VERSION,
)

# Include routers
app.include_router(health.router, tags=["health"])
app.include_router(todos.router, prefix="/api/todos", tags=["todos"])

if __name__ == "__main__":
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)